This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1475512 - CVE-2017-11625 qpdf: Infinite loop in QPDF::resolveObjectsInStream function in QPDF.cc [fedora-all]
CVE-2017-11625 qpdf: Infinite loop in QPDF::resolveObjectsInStream function i...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qpdf (Show other bugs)
26
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Zdenek Dohnal
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On: 1454820
Blocks: CVE-2017-11625
  Show dependency treegraph
 
Reported: 2017-07-26 15:56 EDT by Pedro Sampaio
Modified: 2017-08-06 18:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: qpdf-6.0.0-6.fc26
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-06 18:26:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Sampaio 2017-07-26 15:56:44 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.
Comment 1 Pedro Sampaio 2017-07-26 15:56:55 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1475510

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Zdenek Dohnal 2017-08-01 10:11:50 EDT
Patches are actually for CVE-2017-9208, CVE-2017-9209 and CVE-2017-9210, but they solve this CVE too. Bodhi update will be referencing all CVEs.
Comment 3 Fedora Update System 2017-08-03 05:00:54 EDT
qpdf-6.0.0-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5bca8ec531
Comment 4 Fedora Update System 2017-08-03 05:06:15 EDT
qpdf-6.0.0-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e58a762c3f
Comment 5 Fedora Update System 2017-08-03 17:51:35 EDT
qpdf-6.0.0-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5bca8ec531
Comment 6 Fedora Update System 2017-08-03 20:24:36 EDT
qpdf-6.0.0-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e58a762c3f
Comment 7 Fedora Update System 2017-08-06 18:26:02 EDT
qpdf-6.0.0-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.